import request from '@/utils/request'

// 查询友链导航列表
export function listFriendLink(query) {
  return request({
    url: '/system/friendLink/list',
    method: 'get',
    params: query
  })
}

// 查询友链导航详细
export function getFriendLink(linkId) {
  return request({
    url: '/system/friendLink/' + linkId,
    method: 'get'
  })
}

// 新增友链导航
export function addFriendLink(data) {
  return request({
    url: '/system/friendLink',
    method: 'post',
    data: data
  })
}

// 修改友链导航
export function updateFriendLink(data) {
  return request({
    url: '/system/friendLink',
    method: 'put',
    data: data
  })
}

// 删除友链导航
export function delFriendLink(linkId) {
  return request({
    url: '/system/friendLink/' + linkId,
    method: 'delete'
  })
}
